package kramann.info.MODULO;

import processing.core.*; 
import processing.data.*; 
import processing.event.*; 
import processing.opengl.*; 

import java.util.Random; 
import java.util.concurrent.Executors; 
import java.util.concurrent.ScheduledExecutorService; 
import java.util.concurrent.TimeUnit; 
import java.util.concurrent.Executors; 
import java.util.concurrent.ScheduledExecutorService; 
import java.util.concurrent.TimeUnit; 
import android.media.AudioTrack; 
import android.media.AudioFormat; 
import android.media.AudioManager; 
import android.media.AudioRecord; 
import android.media.MediaRecorder; 
import processing.core.*; 
import java.io.*; 

import java.util.HashMap; 
import java.util.ArrayList; 
import java.io.File; 
import java.io.BufferedReader; 
import java.io.PrintWriter; 
import java.io.InputStream; 
import java.io.OutputStream; 
import java.io.IOException; 

public class MODULO extends PApplet {

/**
 *  <h4>MODULO_1003_STEREO</h4>
 *  <br/>
 *  Copyright (C) 2019 Guido Kramann<br/>
 *  kramann@th-brandenburg.de<br/>
 *  http://www.kramann.info<br/>
 *  <br/>
 *  <p>  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  </p>
 *  <p>
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  </p>
 *  <p>
 *  You should have received a copy of the GNU General Public License
 *  along with this program (gpl.html).  If not, see http://www.gnu.org/licenses/.
 *  </p>
 */

float YOFF=0.0f;

int MODUS = 1;

PFont font;

String[] text = {
    "1234567890",
    "abc",
    "#### ####"
};
TEXT testtext;

Spieler spieler_schwarz,spieler_weiss;

//Rekorder rekorder = new Rekorder(86,1525);
//Rekorder rekorder = new Rekorder(86,286);

boolean WARTUNG = false;

//009: rhythmisierte Fassung:
//Die Dauer eines Zuges wird festgelegt.
//Der Wechsel erfolgt immer nach einer Periode, wenn gezogen wurde.
//Wurde nicht gezogen, werden Strafpunkte abgezogen und erst wieder wenn eine weitere Periode voll ist gewechselt.
long PULSMILLIS = 200;  //... so viele Millisekunden dauert Pulse
long PULSEPROZUG = 12;  //... so viele Pulse dauert ein Zug (und auch eine gespielte Phrase)
//int STRAFPUNKTE = 50;
int STRAFPUNKTE = 0; //ENTSPANNT!



//FEHLER: Das Entfernen von Steinen wird nicht richtig behandelt!!!!

//Punkte: werden aktualisiert, wenn die Pfade aktualisiert werden!
int PUNKTE_WEISS = 0;
int PUNKTE_SCHWARZ = 0;

//rot wenn schwarz dran ist,
//gr\u00fcn wenn weiss dran ist

//nur gerade Bewegungen auf Feld erlaubt
//nur eigene Farbe darf bewegt werden, wenn man dran ist

int[] ROT = {255,100,100};
int[] GRUEN = {100,255,100};

ArrayList<int[]> schwarzerpfad = null;
ArrayList<int[]> weisserpfad = null;


float LINIENDICKE;

String[] kartentypen;
Karte[] karte;
Karte quelleweiss;
Karte quelleschwarz;
float kantex;
float kantey;
Spielfeld spielfeld;
Spiel spiel;
Spiel testspiel;  //Derzeit nur zum laden und speichern von Spielzust\u00e4nden
Spiel testspiel2;  //Zwischenspeichern

Zugkontrolle zugkontrolle;

Karte dragged = null;
int FELDBREITE = 101;
int RANDBREITE = (6 + 3)*2;

float X_PUNKTE_WEISS;
float X_PUNKTE_SCHWARZ;
float PUNKTE_TEXTSIZE;

Mysoundplayer msp;
Wav wav;

TEXT OK;
public void showOK()
{
   if(OK!=null)
   {
       //OK.show();
   }
}

public void setup()
{
   orientation(LANDSCAPE);
   font = createFont("DejaVuSansMono.ttf",32.0f);
   textFont(font);
   
   
   int[] MIDI = {33,35,37,38,40,42,44,  47,49,  52,54,56,  59,61,63,  66,68,  71,  75,  80,  87};  //Anzahl=21
   //Sound
   println("midi min = "+freq2mid(55));
   println("midi max = "+freq2mid(1760));
   
//     msp = new Mysoundplayer(this,2);
     msp = new Mysoundplayer(this,4);  //Jetzt 4 Kan\u00e4le
     int midimin = 33;
//     int midimax = 93;
     int midimax = 87;
     int[] skala = new int[midimax-midimin+1];
     for(int i=midimin;i<=midimax;i++)
         skala[i-midimin] = i;
     float laute1 = 0.1f;
     float laute2 = 0.2f;
     float pan   = 0.5f;
//     msp.ladeKanal(0, "/home/fhbstud/system/samples/89_marimbaneu/normal",skala,laute,pan-0.1);       
//     msp.ladeKanal(0, "/home/fhbstud/system/samples/06_klavier_yamaha_c7/up106",MIDI,laute,pan-0.1);
//     msp.ladeKanal(0, "data/t35",skala,laute,pan-0.1);

     msp.ladeKanalStereo(0, "t35",MIDI,laute1,pan);  //ohne pan, da ja nur ein Satz Soundfiles
//     msp.ladeKanalStereo(0, "t35",MIDI,laute1,pan-0.1);
//     msp.ladeKanalStereo(1, "t36",MIDI,laute1,pan-0.1);     

//     msp.saveKanal(int kanal, String pfad, int[] midiskala)     
//     msp.ladeKanal(0, "/home/fhbstud/system/samples/06_klavier_yamaha_c7/up106",skala,5.0,pan);
//     msp.saveKanal(0, "data/t35", skala);     
     
//     msp.ladeKanal(1, "/home/fhbstud/system/samples/06_klavier_yamaha_c7/up98",MIDI,laute,pan+0.1);     
//     msp.ladeKanalStereo(2, "t21",MIDI,laute2,pan+0.1);     
//     msp.ladeKanalStereo(3, "t22",MIDI,laute2,pan+0.1);     

//     msp.ladeKanal(1, "/home/fhbstud/system/samples/06_klavier_yamaha_c7/up98",skala,5.0,pan);     
//     msp.saveKanal(1, "data/t36", skala);     


//     msp.ladeKanal(0, "/home/fhbstud/system/samples/89_marimbaneu/normal",skala,laute,pan-0.1);       
//     msp.ladeKanal(1, "/home/fhbstud/system/samples/89_marimbaneu/normal",skala,laute,pan+0.1);
   // ladeMonostimmen(int[] skala, String[] ordner, String prefix)
   
//   msp.ladeMonostimmen(MIDI, new String[] {"a7","a8"}, "ton");
//   msp.ladeMonostimmen(MIDI, new String[] {"a7","t35"}, new float[] {1.0,0.2}, "ton");
   
   //Ende Sound
  
    float TEILER = 9.0f;
//    size(1280,720);
//    size(1100,720);
//    size(1100,640);
    //size(640,640);
//    size(1280,640);
    
    testtext = new TEXT(text,800,800);
    OK = new TEXT(new String[] {"O.K."},width,height/10);
    
    LINIENDICKE = height/300.0f;
    strokeWeight(LINIENDICKE);
    
//    float bsoll = 1280.0f;
//    float hsoll = 720.0f;
    float bsoll = width;
    float hsoll = height;
    float bist  = width;
    float hist  = height;

    if(width/height < 1280.0f/720.0f)
    {
        float XXX = (width/(1280.0f/720.0f))/height;
        
        hsoll = height*XXX;
        hist  = height*XXX;
    }

    YOFF = (height-hsoll)*0.5f;
    
    float height = hsoll;
/*    
    if(hist/bist > hsoll/bsoll)
    {
         float faktor = (hsoll/bsoll) / (hist/bist);
         
         float bb = width;
//         float kx = (5.0f/13.0f)*(height*faktor)/(float)TEILER;                   
         float kx = (5.0f/13.0f)*(height)/(float)TEILER;                   
         while((int)floor(bb/kx) < FELDBREITE+RANDBREITE)
             FELDBREITE-=2;
                  
         scale(1.0f,faktor);
    }
    else if(hist/bist < hsoll/bsoll)
    {
         float faktor = (hsoll/bsoll) / (hist/bist);
         
//         float bb = width/faktor;
         float bb = width;
         float kx = (5.0f/13.0f)*height/(float)TEILER;                   
         while((int)floor(bb/kx) < FELDBREITE+RANDBREITE)
             FELDBREITE-=2;

         scale(1.0f/faktor,1.0);
         
    }
*/


    
    strokeWeight(height*0.002f);

    kantex = (5.0f/13.0f)*height/TEILER;
println("-A-");    
while((FELDBREITE+RANDBREITE)*kantex>width)
    FELDBREITE-=2;
println(FELDBREITE);
//int RANDBREITE = (6 + 3)*2;
println("-B-");    

X_PUNKTE_WEISS = 6.0f*kantex+kantex*0.1f;
X_PUNKTE_SCHWARZ = width - 9.0f*kantex+kantex*0.3f;
PUNKTE_TEXTSIZE =3.0f;
textSize(PUNKTE_TEXTSIZE);
while(textWidth("999999")<2.8f*kantex)
{
    PUNKTE_TEXTSIZE+=0.2f;
    textSize(PUNKTE_TEXTSIZE);
}
while(textWidth("999999")>2.8f*kantex)
{
    PUNKTE_TEXTSIZE-=0.2f;
    textSize(PUNKTE_TEXTSIZE);
}
    
println("-C-");    
    
    kantey = height/TEILER;
    kartentypen = loadStrings("kartentypen.txt");
println("-D-");    
    
    frameRate(30);
//    spielfeld = new Spielfeld(kantex,kantey,21,9);
    spielfeld = new Spielfeld(kantex,kantey,FELDBREITE,9);
println("-E-");    
    
    karte = new Karte[9*6*2];
println("-F-");    
    
    for(int i=0;i<karte.length/2;i++)
    {
       float x = (i/9)*kantex;
       float y = (i%9)*kantey;
       karte[i] = new Karte(true,i%9,1+i/9,x,y,(5.0f/13.0f)*height/TEILER,height/TEILER);
    }
println("-G-");    
    
    quelleweiss = new Karte(true,9,0,kantex*7,kantey*4,(5.0f/13.0f)*height/TEILER,height/TEILER);
    quelleschwarz = new Karte(false,9,7,width-kantex*7-kantex,kantey*4,(5.0f/13.0f)*height/TEILER,height/TEILER);
println("-H-");    
    
    for(int i=0;i<karte.length/2;i++)
    {
       float x = (i/9)*kantex;
       float y = (i%9)*kantey;
       karte[i+karte.length/2] = new Karte(false,i%9,1+i/9,width-x-kantex,height-y-kantey,(5.0f/13.0f)*height/TEILER,height/TEILER);
    }        
    
    spiel = new Spiel(spielfeld,karte,quelleweiss,quelleschwarz);
    testspiel = new Spiel(spielfeld,karte,quelleweiss,quelleschwarz);
    testspiel2 = new Spiel(spielfeld,karte,quelleweiss,quelleschwarz);
    
    zugkontrolle = new Zugkontrolle(PULSMILLIS,PULSEPROZUG,spielfeld,STRAFPUNKTE);

    
    //Automatische Spieler starten:
//AUSKOMMENTIEREN BEI SPIEl ZU ZWEIT:    
//    spieler_weiss = new Spieler(true,spielfeld,spiel,testspiel,testspiel2);
//    spieler_schwarz = new Spieler(false,spielfeld,spiel,testspiel,testspiel2);
}

public void draw()
{
    strokeWeight(LINIENDICKE);
    background(70,70,70);

    if(MODUS==0)
    {
         testtext.show(0,0,255,255,255,0,0,0);
         return;
    }
    
    spielfeld.draw();
    
//X_PUNKTE_WEISS = 6.0f*kantex;
//X_PUNKTE_SCHWARZ = width - 9.0f*kantex;
//PUNKTE_TEXTSIZE =3.0f;
    textSize(PUNKTE_TEXTSIZE);
    fill(255);
    text(""+PUNKTE_WEISS,X_PUNKTE_WEISS,kantey);
    fill(0);
    text(""+PUNKTE_SCHWARZ,X_PUNKTE_SCHWARZ,kantey);
    text("\u00a9 G.K.",X_PUNKTE_SCHWARZ,height-kantey);
    
    for(int i=0;i<karte.length;i++)
       karte[i].draw(null);


    if(spielfeld.WEISS_IST_DRAN && spielfeld.TIMER_WEISS_IST_DRAN)
        quelleweiss.draw(GRUEN); //Korona
    else    
        quelleweiss.draw(null); //Korona
        
        
    if(!spielfeld.WEISS_IST_DRAN && !spielfeld.TIMER_WEISS_IST_DRAN)
        quelleschwarz.draw(ROT);
    else
        quelleschwarz.draw(null);
    
    
    //Pfade zeigen:  (siehe mouseReleased() ganz unten!!!!)
    //  schwarzerpfad = spiel.findeNaechstenpfadWeiss();
    //  weisserpfad = spiel.findeNaechstenpfadWeiss();
    stroke(GRUEN[0],GRUEN[1],GRUEN[2]);
    if(weisserpfad!=null && weisserpfad.size()>1)
    {
         ArrayList<int[]> pfad = weisserpfad;
         for(int i=0;i<pfad.size()-1;i++)
         {
               int ii1 = pfad.get(i)[0];
               int kk1 = pfad.get(i)[1];
               int ii2 = pfad.get(i+1)[0];
               int kk2 = pfad.get(i+1)[1];
               float x1 = spielfeld.kkoord[ii1][kk1];
               float y1 = spielfeld.ikoord[ii1][kk1];
               float x2 = spielfeld.kkoord[ii2][kk2];
               float y2 = spielfeld.ikoord[ii2][kk2];
               line(x1,y1,x2,y2);
         }
    }
    
    stroke(ROT[0],ROT[1],ROT[2]);
    if(schwarzerpfad!=null && schwarzerpfad.size()>1)
    {
         ArrayList<int[]> pfad = schwarzerpfad;
         for(int i=0;i<pfad.size()-1;i++)
         {
               int ii1 = pfad.get(i)[0];
               int kk1 = pfad.get(i)[1];
               int ii2 = pfad.get(i+1)[0];
               int kk2 = pfad.get(i+1)[1];
               float x1 = spielfeld.kkoord[ii1][kk1]+LINIENDICKE*0.5f;
               float y1 = spielfeld.ikoord[ii1][kk1]+LINIENDICKE*0.5f;
               float x2 = spielfeld.kkoord[ii2][kk2]+LINIENDICKE*0.5f;
               float y2 = spielfeld.ikoord[ii2][kk2]+LINIENDICKE*0.5f;
               line(x1,y1,x2,y2);
         }
    }
    
    
    if(dragged!=null)
    {
          dragged.set(mouseX,mouseY);
          dragged.draw(null);
    }      
}

public void mousePressed()
{
     if(dragged==null)
     {
          //ABBRUCH, wenn falsche Farbe!
          for(int i=0;i<karte.length;i++)
              if(karte[i].mausHatEs(mouseX,mouseY) && (spielfeld.WEISS_IST_DRAN==spiel.istWeiss(karte[i].ID) && spielfeld.WEISS_IST_DRAN==spielfeld.TIMER_WEISS_IST_DRAN))
                  dragged = karte[i];
          if(quelleweiss.mausHatEs(mouseX,mouseY) && (spielfeld.WEISS_IST_DRAN==true && spielfeld.TIMER_WEISS_IST_DRAN==true))        
                  dragged = quelleweiss;
          if(quelleschwarz.mausHatEs(mouseX,mouseY) && (spielfeld.WEISS_IST_DRAN==false && spielfeld.TIMER_WEISS_IST_DRAN==false))        
                  dragged = quelleschwarz;
                  
                  
          if(dragged!=null)
              dragged.war_auf_feld = false;
              
          if(dragged!=null && spielfeld.istInSpielfeld(dragged))
          {
               int kk = spielfeld.getNextXindex(dragged);
               int ii = spielfeld.getNextYindex(dragged);
               
               if(spielfeld.istFrei(ii,kk)==false)
               {
                   spielfeld.matrix[ii][kk] = null;
                   dragged.war_auf_feld = true;
               }
          }
     }
}

public void updateSpielzustand()
{
      //Nur bei erfolgreicher Aktion n\u00f6tig:      
      //Anzeige der aktuellen Belegung:
      //*********** Das hier m\u00fc\u00dfte auch bei automatischen Z\u00fcgen ausgef\u00fchrt werden: *******
      spiel.uebernehmeZustand();
      if(WARTUNG == true)      
          spiel.zeigeTestweiseDieEigenschaftenAllerKartenImSpielfeld();
      schwarzerpfad = spiel.findeNaechstenpfadSchwarz();
      weisserpfad = spiel.findeNaechstenpfadWeiss();
      //****************      
      
      //Punkte aktualisieren:
      if(spielfeld.WEISS_IST_DRAN)
          PUNKTE_WEISS += spiel.berechnePunkte(weisserpfad);
      if(!spielfeld.WEISS_IST_DRAN)
          PUNKTE_SCHWARZ += spiel.berechnePunkte(schwarzerpfad);

     if(WARTUNG)     
      println("W:"+PUNKTE_WEISS+" S:"+PUNKTE_SCHWARZ);    
}

public void mouseReleased()
{
      float mx = mouseX;
      float my = mouseY;
      if(dragged!=null)
      {
          if(spielfeld.istInSpielfeld(dragged)) //wenn Figur auf Spielfeld gezogen wurde
          {
               float xx = spielfeld.getNextX(dragged);
               float yy = spielfeld.getNextY(dragged);
               int kk = spielfeld.getNextXindex(dragged);
               int ii = spielfeld.getNextYindex(dragged);
               
               if(spielfeld.istFrei(ii,kk)) //Wenn Zielplatz auf Spielfeld frei ist
               {
                   //ERFOLGREICHER ZUG!
                   dragged.setNeu(xx,yy);
                   spielfeld.matrix[ii][kk] = dragged;
                   dragged.xspielfeld=xx;
                   dragged.yspielfeld=yy;
                   
                   updateSpielzustand(); //Nur bei erfolgreichen Z\u00fcgen Updtae n\u00f6tig!
                   
                   //JETZT IST DER ANDERE DRAN!
                   spielfeld.WEISS_IST_DRAN = !spielfeld.WEISS_IST_DRAN;
               }
               else
               {
                  if(dragged.war_auf_feld == true)
                  {
                   dragged.x = dragged.xspielfeld;
                   dragged.y = dragged.yspielfeld;
                   kk = spielfeld.getNextXindex(dragged);
                   ii = spielfeld.getNextYindex(dragged);
                   spielfeld.matrix[ii][kk] = dragged;
                   
                   
                  }
                  else    //wenn Figur zuvor selbst schon auf Spielfeld war, dann auf alten Platz dort zur\u00fcck setzen
                  {
                     dragged.setHome();                     
                  }  
               }
               
          }
          else //Spielfigut weg von Spielfeld ziehen
          {
                   dragged.setHome();
                     //Das ist auch ein erfolgreicher Zug, darum hier auch update und Wechsel!!!!:
                     updateSpielzustand(); //Nur bei erfolgreichen Z\u00fcgen Updtae n\u00f6tig!
                   
                     //JETZT IST DER ANDERE DRAN!
                     spielfeld.WEISS_IST_DRAN = !spielfeld.WEISS_IST_DRAN;
            
          }
          
          dragged = null;
      }

      //Nur bei erfolgreicher Aktion n\u00f6tig (s. updateSpielzustand und erfolgreicher Zug!):      
      //Anzeige der aktuellen Belegung:
      //*********** Das hier m\u00fc\u00dfte auch bei automatischen Z\u00fcgen ausgef\u00fchrt werden: *******
      //spiel.uebernehmeZustand();
      //spiel.zeigeTestweiseDieEigenschaftenAllerKartenImSpielfeld();
      //schwarzerpfad = spiel.findeNaechstenpfadSchwarz();
      //weisserpfad = spiel.findeNaechstenpfadWeiss();
      //****************      
}

public void keyPressed()
{
     if(key=='r')
     {
          spiel.alleHeimschicken(); //Testweise Zustand auf Start setzen
          spiel.zeigeTestweiseDieEigenschaftenAllerKartenImSpielfeld();
     }
     else if(key=='s')  //Zustand in testspiel speichern
     {
          testspiel.uebernehmeZustand();
          println("Spielzustand in Testspiel gemerkt");
     }
     else if(key=='l')  //Zustand VON testspiel LADEN
     {
          testspiel.schreibeZustand();
          println("Spielzustand von Testspiel geholt");          
     }
     
     
     
     
}
  public double midi2Frequency(double midi)
  {
        if(midi<1.0f)
            return 0.0f; //Nullereignisse behandeln
  
        double freq69 = Math.pow(2.0f,69.0f/12.0f);
        return Math.pow(2.0f,midi/12.0f)*440.0f/freq69;
  }

  public double frequency2Midi(double freq)
  {
        if(freq<1.0f)
             return 0.0f; //Nullereignisse behandeln
  
        double freq69 = Math.pow(2.0f,69.0f/12.0f);
        return 12.0f*Math.log(freq*freq69/440.0f)/Math.log(2.0f);
  }

  public int freq2mid(int freq)
  {
    if(freq==0)
        return 0;
    else
        return (int)Math.round(frequency2Midi((double)freq));
  }

  public int mid2freq(int mid)
  {
      if(mid==0)
          return 0;
      else
          return (int)Math.round(midi2Frequency((double)mid));
  }
 
public class Karte
{
     public boolean FLASH = false; 
     public boolean war_auf_feld = false;
  
     int typ;
     String[] pattern;
     float kantex; 
     float kantey;
     public float h,b,x,y,xhome,yhome,xoff,yoff,xspielfeld,yspielfeld;
     int farbe;
     boolean WEISS;
     
     public int ID=0;
     
     //typ 9 ist Quelle, 0..8== .|..|...|-|--|---|+|++|+++
     //                         0  1  2  3  4   5 6  7  8
     public Karte(boolean WEISS,int typ,int farbe,float x, float y, float b, float h)
     {
          ID = 99000 + typ*100 + farbe*10;
          if(WEISS)
            ID++;
       
       
          this.xoff = 0.0f;
          this.yoff = 0.0f;
          this.xspielfeld = 0.0f;
          this.yspielfeld = 0.0f;
       
          this.WEISS = WEISS;
          this.farbe = farbe;
          this.typ = typ;
          pattern = new String[13];
          for(int i=0;i<pattern.length;i++)
          {
               pattern[i] = kartentypen[typ*20+i];
          }
          kantex = b/5.0f;
          kantey = h/13.0f;
          this.h = h;
          this.b = b;
          this.x = x;
          this.y = y;
          this.xhome = x;
          this.yhome = y;
     }
     
     public void draw(int[] randfarbe)
     {
         if(FLASH==true)
         {
             stroke(255);
         }
         else if(randfarbe==null)
            noStroke();
         else
            stroke(randfarbe[0],randfarbe[1],randfarbe[2]);
         int r = ((7-farbe)/4)%2;
         int g = ((7-farbe)/2)%2;
         int b = ((7-farbe)/1)%2;
         //&&&&
         if(WEISS)
         {
             fill(127+64);
         }    
         else
         {
             fill(0);
         }    
         rect(x,y,this.b,this.h,60);
         //&&&&
         if(WEISS)
         {
             fill(r*127,g*127,b*127);
             stroke(r*127,g*127,b*127);
         }    
         else
         {
             fill(r*127+64,g*127+64,b*127+64);
             stroke(r*127+64,g*127+64,b*127+64);
         }    
         for(int i=0;i<pattern.length;i++)
         {
              for(int k=0;k<pattern[i].length();k++)
              {
                   if(pattern[i].charAt(k)=='*')
                      rect(x+kantex*(k+1),y+kantey*(i-1),kantex,kantey,3);
              }
         }
     }
     
     public boolean mausHatEs(float mx, float my)
     {
          if(mx>x && my>y && mx<x+b && my<y+h)
          {
              xoff = x-mx;
              yoff = y-my;
            
              return true;
          }    
          else
              return false;
     }
     
     public void set(float mx, float my)
     {
          x = mx+xoff;
          y = my+yoff;
     }
     public void setNeu(float mx, float my)
     {
          x = mx;
          y = my;
          xoff=0.0f;
          yoff=0.0f;
     }
     
     public void setHome()
     {
          this.x = xhome;
          this.y = yhome;
          xoff=0.0f;
          yoff=0.0f;
     }
}
//Spiel repr\u00e4sentiert den Spielstand / den Spielzustand
//Mit einer Instanz testspiel, k\u00f6nnen auch nicht aktuelle Spielzust\u00e4nde \u00fcberpr\u00fcft werden (2. Instanz von spiel)

public class Spiel
{
    //Nur die NEUEN Punkte, nicht die aku,ulierten.
    //Die akumulierten stehen im Haupt-Sketch
    //werden beim Bestimmen der Pfade mit aktualisiert!
  
  
    //Die Parameter werden aus den \u00fcbergerbenen Objekten extrahiert und
    //die \u00fcbergebenen Parameter hier registriert
    Spielfeld spielfeld;
    Karte[] karte;
    Karte quelleweiss;
    Karte quelleschwarz;
    
    public int[][] matrix;
    public int[][] distmatrix;

    public void noFlash()
    {
         for(int i=0;i<karte.length;i++)
            karte[i].FLASH = false;
    }

    public void setFlash(int ID)
    {
         for(int i=0;i<karte.length;i++)
         { 
             if(karte[i].ID==ID)
             {
                  karte[i].FLASH = true;
                  return;
             }
         }
    }

    public void kopiereAufAnderesSpiel(Spiel testspiel)
    {
         for(int i=0;i<matrix.length;i++)
             for(int k=0;k<matrix[i].length;k++)
                 testspiel.matrix[i][k] = matrix[i][k];
         for(int i=0;i<matrix.length;i++)
             for(int k=0;k<matrix[i].length;k++)
                 testspiel.distmatrix[i][k] = distmatrix[i][k];
    }
    
    public Spiel(Spielfeld spielfeld,Karte[] karte,Karte quelleweiss,Karte quelleschwarz)
    {
         this.spielfeld = spielfeld;
         this.karte = karte;
         this.quelleweiss = quelleweiss;
         this.quelleschwarz = quelleschwarz;
         
         this.matrix = new int[spielfeld.matrix.length][spielfeld.matrix[0].length];
         this.distmatrix = new int[spielfeld.matrix.length][spielfeld.matrix[0].length];
    }
    
    public void uebernehmeZustand()
    {
         Karte[][] mat = spielfeld.matrix;
         
         for(int i=0;i<matrix.length;i++)
             for(int k=0;k<matrix[i].length;k++)
                 if(mat[i][k]!=null)
                     matrix[i][k] = mat[i][k].ID;
                 else    
                     matrix[i][k] = 0;
    }
    
    public void schreibeZustand() //in matrix gespeicherten Zustand auf das Spiel \u00fcbertragen!, praktisch f\u00fcr autom. Spiel!!!!
    {
        //1. Alle "heimschicken"
        alleHeimschicken();
        //2. aus matrix die IDs lesen und dort die Karten in Spielfeld positionieren.
        for(int i=0;i<matrix.length;i++)
        {
            for(int k=0;k<matrix[i].length;k++)
            {
                float xxx = spielfeld.getNextXausK(k);
                float yyy = spielfeld.getNextYausI(i);
                int ID = matrix[i][k];
                if(ID>0)
                {
                    if(quelleweiss.ID==ID)
                    {
                          spielfeld.matrix[i][k] = quelleweiss;
                          quelleweiss.setNeu(xxx,yyy);
                    }
                    else if(quelleschwarz.ID==ID)
                    {
                          spielfeld.matrix[i][k] = quelleschwarz;
                          quelleschwarz.setNeu(xxx,yyy);
                    }
                    else
                    {
                          for(int pp=0;pp<karte.length;pp++)
                          {
                               if(karte[pp].ID==ID)
                               {
                                   spielfeld.matrix[i][k] = karte[pp];
                                   karte[pp].setNeu(xxx,yyy);
                                   break;
                               }
                          }
                    }
                }    
            }
        }
    }
    
    public void alleHeimschicken()
    {
        for(int i=0;i<karte.length;i++)
            karte[i].setHome();
        quelleweiss.setHome();
        quelleschwarz.setHome();
        for(int i=0;i<spielfeld.matrix.length;i++)
            for(int k=0;k<spielfeld.matrix[0].length;k++)
            spielfeld.matrix[i][k]=null;
    }
    
    //Methoden zur Analyse der ID:
    public boolean istWeiss(int ID)
    {
         if(ID%2==1)
            return true;
         else
            return false;
    }
    
    public int farbeVonID(int ID)
    {
         return (ID/10)%10;
    }
    
    public int anzahlVonID(int ID)
    {
         return ((ID/100)%10)%3;
    }
    
    public int formVonID(int ID)
    {
         return ((ID/100)%10)/3;
    }
    
    public boolean istQuelle(int ID)
    {
         if( (ID/100)%10==9 )
           return true;
         else
           return false;
    }

    public boolean istAufSpielfeld(int ID)
    {
          for(int i=0;i<matrix.length;i++)
                for(int k=0;k<matrix[i].length;k++)
                    if(ID==matrix[i][k])
                        return true;
          return false;              
    }
    
    public void zeigeTestweiseDieEigenschaftenAllerKartenImSpielfeld()
    {
         println("//Angaben:"); 
         println("[zeile|spalte]"); 
         println("// S/W schwarz weiss");
         println("// QQQ   Quelle");
         println("// Farbe  1..6");
         println("// Anzahl 1..3");
         println("// Form   1..3");
         for(int i=0;i<matrix.length;i++)
         {
               for(int k=0;k<matrix[i].length;k++)
               {
                 if(matrix[i][k]>0)
                 {
                   print("["+i+"|"+k+"] ");
                   int ID = matrix[i][k];
                   if(istWeiss(ID))
                      print("W ");
                   else   
                      print("S ");
                   if(istQuelle(ID))
                   {
                        print("QQQ");
                   }
                   else
                   {
                       int farbe = farbeVonID(ID);      //OHNE INKR schon richtig!!!
                       int anzahl = anzahlVonID(ID)+1;  //PLUS 1 !!!
                       int form   = formVonID(ID)+1;    //PLUS 1 !!!
                       print(farbe+""+anzahl+""+form+"");
                   }
                   print(" # ");
                 }
                 else
                 {
                     print("["+i+"|"+k+"] ");
                     print("     ");
                     print(" # ");
                 }
               }
               println();
         }
         println();
    }
    
    
    //Methoden bereitstellen, die es erlauben die G\u00fcltigkeit von Konstellationen zu untersuchen
    //um schlie\u00dflich g\u00fcltige Z\u00fcge zu suchen und zu bewerten.
    
    //Verboten sind Zyklen.
    //Wie erkennt man Zyklen?
    //Es d\u00fcrfen keine Rechtecke auftreten! Reicht das???
    
    //Wenn man Kreuzungen verbietet reicht das.
    //Aber wenn nicht g\u00e4be es z.B. 8-ten als M\u00f6glichkeit von Schleifen, die keine Rechtecke sind.
    
    //OBIGES VERWERFEN!!!
    
    //Statt dessen N\u00e4chstenpfad OHNE Zyklen/Wdh. bilden.
    //So braucht es sonst keine Beschr\u00e4nkungen!!!!
    
    
    public ArrayList<int[]> findeNaechstenpfadWeiss()
    {
        return findeNaechstenpfad(true);
    }
    
    public ArrayList<int[]> findeNaechstenpfadSchwarz()
    {
        return findeNaechstenpfad(false);
    }

    //Nur die NEUEN Punkte, nicht die aku,ulierten.
    //Die akumulierten stehen im Haupt-Sketch
    //werden beim Bestimmen der Pfade mit aktualisiert!
    
    //Formel:  Anzahl_versch_farben * Anzahl_versch_formen * Anzahl_versch_Anzahlen * ANZAHLWEGSTATIONEN_OHNE_QUELLE
    
    public int berechnePunkte(ArrayList<int[]> sammel_ik)
    {
        if(sammel_ik==null || sammel_ik.size()<=1)
            return 0; //Quelle z\u00e4hlt nicht mit!!!
        int[][] merker = new int[4][matrix[0].length];  //Zeilen: Farbe, Form, Anzahl,distanzen || Spalten werden inkrementiert, wenn korrespondierende Farbe/Form/Anzahl auftaucht.
        for(int i=0;i<sammel_ik.size();i++)
        {
            int ID = matrix[sammel_ik.get(i)[0]][sammel_ik.get(i)[1]];
            if(ID>0 && !istQuelle(ID))
            {
                  int farbe = farbeVonID(ID);
                  int form =  formVonID(ID);
                  int anz  =  anzahlVonID(ID);
                  int distanz = sammel_ik.get(i)[2];
                  merker[0][farbe]++;
                  merker[1][form]++;
                  merker[2][anz]++;
                  merker[3][distanz]++;
            }
        }
        
        int PUNKTE = sammel_ik.size()-1;
        
        for(int i=0;i<merker.length;i++)
        {
              int summe = 0;
              for(int k=0;k<merker[i].length;k++)
              {
                   if(merker[i][k]>0)
                      summe++;
              }
              PUNKTE*=summe;
        }
        return PUNKTE;
    }

    public boolean warschon(int i,int k,ArrayList<int[]> sammel_ik)
    {
        for(int p=0;p<sammel_ik.size();p++)
             if(i==sammel_ik.get(p)[0] && k==sammel_ik.get(p)[1])
                 return true;
        return false;          
    }
    
    public ArrayList<int[]> findeNaechstenpfad(boolean weiss)
    {
//if(weiss)      
//println("Suche weiss");
//else
//println("Suche schwarz");


        ArrayList<int[]> sammel_ik = new ArrayList<int[]>();
        
        //1. Startpunkt suchen:
        println();
        for(int i=0;i<matrix.length;i++)
        {
              for(int k=0;k<matrix[i].length;k++)
              {
                       
                    int ID = matrix[i][k];
                    if(WARTUNG)
                    {
                      if(ID==0)
                        print(0);
                      else if(istQuelle(ID) && istWeiss(ID))
                        print("W");
                      else if(istQuelle(ID) && !istWeiss(ID))
                        print("S");
                      else
                        print("x");
                    }    
                    if(weiss)
                    {
                        if(ID>0 && istQuelle(ID) && istWeiss(ID))
                        {
                          sammel_ik.add(new int[] {i,k});
                        }
                    }
                    else
                    {                                              
                        if(ID>0 && istQuelle(ID) && !istWeiss(ID))
                        {
                          sammel_ik.add(new int[] {i,k});
                        }
                    }
              }
              if(WARTUNG)
              println();
        }
if(WARTUNG)        
println("Quellanz="+sammel_ik.size());        
        //2. Immer die k\u00fcrzeste Verbindung suchen.
        while(sammel_ik.size()>0) //Abbruch, wenn kein neuer gefunden wird.
        {
            int i_start = sammel_ik.get(sammel_ik.size()-1)[0];
            int k_start = sammel_ik.get(sammel_ik.size()-1)[1];
            
            int[][] merker = new int[4][4]; // i k ID dist, wenn ID 0 == nix gefunden
            for(int p=k_start+1;p<matrix[0].length;p++)
            {
                 int ID = matrix[i_start][p]; 
                 if(istQuelle(ID))
                     break;  //andere Quelle blockiert weitergehen! 
                 if(ID>0 && !istQuelle(ID)  && !warschon(i_start,p,sammel_ik)) //solche, die schon waren \u00fcbergehen!
                 {
                      merker[0][0] = i_start;
                      merker[0][1] = p;
                      merker[0][2] = matrix[i_start][p]; //ID
                      merker[0][3] = p - k_start; //dist (>0)
                      break;
                 }
                 else if(warschon(i_start,p,sammel_ik)) //auch abbrechen, wenn einer im Weg ist, der schon war!
                 {
                      break;
                 }
            }
            //3 weitere...
            for(int p=k_start-1;p>=0;p--)
            {
                 int ID = matrix[i_start][p]; 
                 if(istQuelle(ID))
                     break;  //andere Quelle blockiert weitergehen! 
                 if(ID>0 && !istQuelle(ID)  && !warschon(i_start,p,sammel_ik)) //solche, die schon waren \u00fcbergehen!
                 {
                      merker[1][0] = i_start;
                      merker[1][1] = p;
                      merker[1][2] = matrix[i_start][p]; //ID
                      merker[1][3] = k_start - p; //dist (>0)
                      break;
                 }
                 else if(warschon(i_start,p,sammel_ik)) //auch abbrechen, wenn einer im Weg ist, der schon war!
                 {
                      break;
                 }
            }
            for(int p=i_start+1;p<matrix.length;p++)
            {
                 int ID = matrix[p][k_start]; 
                 if(istQuelle(ID))
                     break;  //andere Quelle blockiert weitergehen! 
                 if(ID>0 && !istQuelle(ID)  && !warschon(p,k_start,sammel_ik)) //solche, die schon waren \u00fcbergehen!
                 {
                      merker[2][0] = p; // i k ID dist, wenn ID 0 == nix gefunden
                      merker[2][1] = k_start;
                      merker[2][2] = matrix[p][k_start]; //ID
                      merker[2][3] = p - i_start; //dist (>0)
                      break;
                 }
                 else if(warschon(p,k_start,sammel_ik)) //auch abbrechen, wenn einer im Weg ist, der schon war!
                 {
                      break;
                 }
            }
            for(int p=i_start-1;p>=0;p--)
            {
                 int ID = matrix[p][k_start]; 
                 if(istQuelle(ID))
                     break;  //andere Quelle blockiert weitergehen! 
                 if(ID>0 && !istQuelle(ID)  && !warschon(p,k_start,sammel_ik)) //solche, die schon waren \u00fcbergehen!
                 {
                      merker[3][0] = p; // i k ID dist, wenn ID 0 == nix gefunden
                      merker[3][1] = k_start;
                      merker[3][2] = matrix[p][k_start]; //ID
                      merker[3][3] = i_start - p; //dist (>0)
                      break;
                 }
                 else if(warschon(p,k_start,sammel_ik)) //auch abbrechen, wenn einer im Weg ist, der schon war!
                 {
                      break;
                 }
            }            
            
            //Pr\u00fcfen, ob Nachfolger dabei ist, oder Abbruch n\u00f6tig:
            int dist_best = Integer.MAX_VALUE;
            int dist_zweitbest = Integer.MAX_VALUE;
            int i_best    = -1;
            int k_best    = -1;
            
            for(int i=0;i<merker.length;i++)
            {
                 int i_test = merker[i][0];
                 int k_test = merker[i][1];
                 int id_test = merker[i][2];
                 int dist_test = merker[i][3];
                 
                 if(id_test>0 && dist_test<=dist_best)
                 {
                      dist_zweitbest = dist_best;
                      dist_best = dist_test;
                      i_best = i_test;
                      k_best = k_test;
                 }                                  
            }
            
            if(i_best>-1 && k_best>-1 && dist_best<dist_zweitbest && !warschon(i_best,k_best,sammel_ik)) //muss echt n\u00e4chster sein ohne Auswahlm\u00f6glichkeit
            {
                  sammel_ik.add(new int[] {i_best,k_best,dist_best});                                    
            }
            else
            {
                  break;  //wenn keiner mehr gefunden wird, der echt am n\u00e4chsten an dem zuletzt gefundenen liegt ohne wdh.
            }
        }
        
        return sammel_ik;
    }            
}


public class Spieler implements Runnable
{
//     Random zufall = new Random(System.currentTimeMillis());
     Random zufall = new Random(0);
  
     boolean WEISS;
     Spielfeld spielfeld;
     Spiel spiel;
     Spiel testspiel;
     Spiel testspiel2;
     public Spieler(boolean WEISS, Spielfeld spielfeld, Spiel spiel, Spiel testspiel, Spiel testspiel2)
     {
         this.WEISS = WEISS;
         this.spiel = spiel;
         this.testspiel = testspiel;
         this.testspiel2 = testspiel2;
         this.spielfeld = spielfeld;
         
         (new Thread(this)).start();         
     }
     
     public void run()
     {
        while(true)
        {
          if(spielfeld.WEISS_IST_DRAN == WEISS && spielfeld.TIMER_WEISS_IST_DRAN == WEISS ) //ist dran und darf loslegen
          {
               //Pr\u00fcfen, ob schon Quelle auf dem Feld ist, wenn nicht diese setzen
               Karte quelle = quelleweiss;
               if(!WEISS)
                   quelle = quelleschwarz;
               int ID = quelle.ID;
               if(!spiel.istAufSpielfeld(ID))
               {
//println("Nicht auf Feld");                 
                   int i = zufall.nextInt(spiel.matrix.length);
                   int k = zufall.nextInt(spiel.matrix[0].length);
                   while(spiel.matrix[i][k]>0)
                   {
                       i = zufall.nextInt(spiel.matrix.length);
                       k = zufall.nextInt(spiel.matrix[0].length);
                   }
//println("setze auf "+i+" "+k);                   
                   spiel.matrix[i][k] = ID;
               }
               else
               {
                    spiel.kopiereAufAnderesSpiel(testspiel);
                    spiel.kopiereAufAnderesSpiel(testspiel2);
                    int punkte_best = 0;
                    for(int i=0;i<3;i++)
                    {
                        spiel.kopiereAufAnderesSpiel(testspiel);
                        int punkte = zufallszug(testspiel);
                        if(punkte>=punkte_best)
                        {
                             punkte_best = punkte;
                             testspiel.kopiereAufAnderesSpiel(testspiel2);
                        }
                    }    
                    testspiel2.kopiereAufAnderesSpiel(spiel);
               }
               
               //abschliessen:
               //JETZT IST DER ANDERE DRAN!
               spiel.schreibeZustand();
               updateSpielzustand();
               spielfeld.WEISS_IST_DRAN = !spielfeld.WEISS_IST_DRAN;
          
               
          }
       
       
          try
          {
              Thread.sleep(1000);
          }
          catch(Exception e)
          {
          }
        }//while true  
     }//run
     

     public boolean spielfeldVoll(Spiel spiel)
     {
           for(int i=0;i<spiel.matrix.length;i++)
               for(int k=0;k<spiel.matrix[0].length;k++)
                    if(spiel.matrix[i][k]==0)
                        return false;
           return true;             
     }
     
     public int spielfeldProzentVoll(Spiel spiel)
     {
           int anz = 0;
           int sum = spiel.matrix.length*spiel.matrix[0].length;
           for(int i=0;i<spiel.matrix.length;i++)
               for(int k=0;k<spiel.matrix[0].length;k++)
                    if(spiel.matrix[i][k]!=0)
                        anz++;
           return (anz*100)/sum;             
     }
     
     
     public int[] zufalls_ik(Spiel spiel)
     {
           int i = zufall.nextInt(spiel.matrix.length);
           int k = zufall.nextInt(spiel.matrix[0].length);
           while(spiel.matrix[i][k]>0)
           {
               i = zufall.nextInt(spiel.matrix.length);
               k = zufall.nextInt(spiel.matrix[0].length);
           }
           return new int[] {i,k};
     }

     public int[] zufalls_ik_besetztEigeneFarbe(Spiel spiel) //liefert Platz, der besetrzt ist mit eigener Farbe und nicht Quelle
     {
           int i = zufall.nextInt(spiel.matrix.length);
           int k = zufall.nextInt(spiel.matrix[0].length);
           while(spiel.matrix[i][k]==0 || spiel.istWeiss(spiel.matrix[i][k])!=WEISS || spiel.istQuelle(spiel.matrix[i][k]))
           {
               i = zufall.nextInt(spiel.matrix.length);
               k = zufall.nextInt(spiel.matrix[0].length);
           }
           return new int[] {i,k};
     }
     
     
     public void entferneID(int ID,Spiel spiel)
     {
           for(int i=0;i<spiel.matrix.length;i++)
               for(int k=0;k<spiel.matrix[0].length;k++)
                    if(spiel.matrix[i][k]==ID)
                    {
                        spiel.matrix[i][k]=0;
                        return;
                    }    
     }
     
     public int bestimmePunkte(Spiel spiel, boolean WEISS)
     {
           if(WEISS)
           {
                return spiel.berechnePunkte(spiel.findeNaechstenpfadWeiss());
           }
           else
           {
                return spiel.berechnePunkte(spiel.findeNaechstenpfadSchwarz());
           }
     }
     
     public int zufallszug(Spiel spiel)  //Liefert auch mit dem Zug erreichbare Punkte
     {
          if(  spielfeldProzentVoll(spiel) > 30 )  //wenn zu 60% voll, dann in jedem Fall etwas entfernen
          {
              int[] ik = zufalls_ik_besetztEigeneFarbe(spiel); //sucht besetzten Platz eigener Farbe
              
              spiel.matrix[ik[0]][ik[1]] = 0; 
                                        
            
              //return bestimmePunkte(spiel,WEISS)-bestimmePunkte(spiel,!WEISS);
              return bestimmePunkte(spiel,WEISS);
          }
          else if(  spielfeldProzentVoll(spiel) > 10 && zufall.nextInt(100)<50)  //wenn zu 60% voll, dann in jedem Fall etwas entfernen
          {
              int[] ik = zufalls_ik_besetztEigeneFarbe(spiel); //sucht besetzten Platz
              
              spiel.matrix[ik[0]][ik[1]] = 0; 
            
              //return bestimmePunkte(spiel,WEISS)-bestimmePunkte(spiel,!WEISS);
              return bestimmePunkte(spiel,WEISS);
          }
       
          int inx = zufall.nextInt(karte.length);
          int ID = karte[inx].ID;
          while(spiel.istWeiss(ID)!=WEISS)
          {
              inx = zufall.nextInt(karte.length);
              ID = karte[inx].ID;
          }
          
          if(spiel.istAufSpielfeld(ID))  //dann verschieben
          {
               entferneID(ID,spiel);
               int[] ik = zufalls_ik(spiel);
               spiel.matrix[ik[0]][ik[1]] = ID;
          }
          else  //dann neu setzen
          {
               int[] ik = zufalls_ik(spiel);
               spiel.matrix[ik[0]][ik[1]] = ID;
          }
          
           //return bestimmePunkte(spiel,WEISS)-bestimmePunkte(spiel,!WEISS);
           return bestimmePunkte(spiel,WEISS);
     }
}
public class Spielfeld
{
     public boolean WEISS_IST_DRAN = true;
     public boolean TIMER_WEISS_IST_DRAN = true;

     public float[][] ikoord; //Koordinaten des Spielfeldes  
     public float[][] kkoord; //Koordinaten des Spielfeldes  
  
     int anzx,anzy;
     float kantex,kantey;
     float mx;
     float my;
          
     float x;
     float y;

     float b,h;
     
     public Karte[][] matrix; //mit belegten Feldern
     
     public Spielfeld(float kantex, float kantey,int anzx, int anzy)
     {
          this.anzx=anzx;
          this.anzy=anzy;
          this.kantex=kantex;
          this.kantey=kantey;
          this.matrix = new Karte[anzy][anzx+1]; //HACK. anzx mu\u00df ungerade sein, Breite wird dann komischerweise gerade wg. Darstellung
          this.mx = width/2.0f;
          this.my = height/2.0f - YOFF;
          
          this.x = mx - kantex*(0.5f*(float)anzx);
          this.y = my - kantey*(0.5f*(float)anzy);
          this.b = anzx*kantex;
          this.h = anzy*kantey;
          
          ikoord = new float[matrix.length][matrix[0].length];
          kkoord = new float[matrix.length][matrix[0].length];
          for(int i=0;i<matrix.length;i++)
          {
                for(int k=0;k<matrix[i].length;k++)
                {
                    // rect(x+(k+i%2)*kantex-kantex*0.5f,y+i*kantey,kantex,kantey,60);
                    float xxx = x+k*kantex-kantex*0.5f;
                    float yyy = y+i*kantey;
                    ikoord[i][k] = yyy + kantey*0.5f;
                    kkoord[i][k] = xxx + kantex*0.5f;
                }
          }
     }
     
     public void draw()
     {
          //noFill();
          //stroke(95);
          noStroke();
          fill(127);
          for(int i=0;i<anzy;i++)
          {
                for(int k=0;k<anzx;k+=2)
                {
                     rect(x+(k+i%2)*kantex-kantex*0.5f,y+i*kantey,kantex,kantey,60);
                }
          }
          
          //fill(64);
          for(int i=0;i<anzy;i++)
          {
                for(int k=0;k<anzx;k+=2)
                {
                     rect(x+(k+(i+1)%2)*kantex-kantex*0.5f,y+i*kantey,kantex,kantey,60);
                }
          }
          
     }
     
     public boolean istInSpielfeld(Karte k)
     {
          float mausx = k.x - k.xoff;
          float mausy = k.y - k.yoff;
       
          if(mausx>x-kantex*0.4f && mausx<x+b+kantex*0.4f && mausy>y && mausy<y+h)
               return true;
          else
              return false;
     }
     
     public float getNextX(Karte k)
     {
           float mausx = k.x - k.xoff+kantex*0.5f;
           return x + kantex*floor((mausx-x)/kantex)-kantex*0.5f;
     }

     public float getNextXausK(int kkk)
     {
           return x + kantex*kkk-kantex*0.5f;
     }     
     
     public float getNextY(Karte k)
     {
           float mausy = k.y - k.yoff;
           return y + kantey*floor((mausy-y)/kantey);
     }

     public float getNextYausI(int iii)
     {
           return y + kantey*iii;
     }     
 
 
     public int getNextXindex(Karte k)
     {
           float mausx = k.x - k.xoff+kantex*0.5f;
           return (int)floor((mausx-x)/kantex);
     }
     
     public int getNextYindex(Karte k)
     {
           float mausy = k.y - k.yoff;
           return (int)floor((mausy-y)/kantey);
     }
     
     public boolean istFrei(int i, int k)
     {
          if(matrix[i][k]==null)
              return true;
          else
              return false;
     }
     
     public boolean istAufSpielfeld(Karte karte)
     {
          for(int i=0;i<matrix.length;i++)
              for(int k=0;k<matrix[i].length;k++)
                  if(matrix[i][k]!=null && karte!=null && matrix[i][k].ID==karte.ID)
                      return true;
          return false;            
     }
}
public class TEXT
{
    float textgroesse = 10.0f;
    float tw;
    float cw;
    float th;
    float hh;
    float bb;
    String[] text;
    float maxwidth,maxheight;
    public TEXT(String[] text, float maxwidth, float maxheight)
    {
          this.maxwidth = maxwidth;
          this.maxheight = maxheight;
          this.text = text;
          textSize(textgroesse);
          int inx = 0;
          int maxanz = 0;
          String maxtext = text[0];
          for(int i=0;i<text.length;i++)
          {
               if(text[i].length()>maxanz)
               {
                   maxtext = text[i];
                   maxanz = text[i].length();
               }
          }
          
          tw = textWidth(maxtext);
          cw = textWidth("#");
          th = (cw*8.0f)/5.0f;
          hh = th*(float)text.length;
          bb = tw;               
          
          while(hh<maxheight && bb<maxwidth)
          {
               textgroesse+=0.2f;
               textSize(textgroesse);
               tw = textWidth(maxtext);
               cw = textWidth("#");
               th = (cw*8.0f)/5.0f;
               hh = th*(float)text.length;
               bb = tw;               
          }
          
          
          while(hh>maxheight || bb>maxwidth)
          {
               textgroesse-=0.2f;
               textSize(textgroesse);
               tw = textWidth(maxtext);
               cw = textWidth("#");
               th = (cw*8.0f)/5.0f;
               hh = th*(float)text.length;
               bb = tw;               
          }
    }
    
    public void show(float x, float y)
    {
         for(int i=0;i<text.length;i++)
         {
              text(text[i],x,y+(float)i*th+th);              
         }
    }
    public void show(float x, float y, int r, int g, int b)
    {
         fill(r,g,b);
         for(int i=0;i<text.length;i++)
         {
              text(text[i],x,y+(float)i*th+th);              
         }
    }
    
    public void show(float x, float y, int r, int g, int b, int rh, int gh, int bh)
    {
         noStroke();
         fill(rh,gh,bh);
         rect(x,y,maxwidth,maxheight);
         fill(r,g,b);
         for(int i=0;i<text.length;i++)
         {
              text(text[i],x,y+(float)i*th+th);              
         }
    }
    
}




public class Zugkontrolle implements Runnable
{
     private long WERT_WEISS = 0;
     private long WERT_SCHWARZ = 0;
     private long FREQ_WEISS = 0;
     private long FREQ_SCHWARZ = 0;
     private long MIDI_WEISS = 0;
     private long MIDI_SCHWARZ = 0;
     
     private long FFREQ = 0;
     private long MMID = 0;
//Basiszahl: 2*2*2*3*3*5*7 == 2520 == 7*360
//Faktor:    1
//fmin:      55  == KA
//fmax:     1760 == a''' 
  
     private long BASISZAHL = 2520; 
     private long FAKTOR = 1; 
     private long FMIN = 55; 
     private long FMAX = 1760; 
  
     private ScheduledExecutorService schedExecService; //realtime process     
  
     private Spielfeld spielfeld;
     
  
     long PULSMILLIS;
     long PULSEPROZUG;
     long t;
     int STRAFPUNKTE;
     public Zugkontrolle(long PULSMILLIS, long PULSEPROZUG, Spielfeld spielfeld, int STRAFPUNKTE)
     {
         
         this.STRAFPUNKTE = STRAFPUNKTE;
         this.spielfeld = spielfeld;
         this.PULSMILLIS = PULSMILLIS;
         this.PULSEPROZUG = PULSEPROZUG;
         
         t=0;
         schedExecService = Executors.newSingleThreadScheduledExecutor();
//         schedExecService.scheduleAtFixedRate(this, 0, PULSMILLIS, TimeUnit.MILLISECONDS);
//FLASH:
         schedExecService.scheduleAtFixedRate(this, 0, PULSMILLIS/2, TimeUnit.MILLISECONDS);             
         
     }
  
     public long berechneWertAusPfad(long t,ArrayList<int[]> pfad, boolean WEISS)
     {
          long erg = t;
          try
          {
            for(int i=1;i<pfad.size();i++)
            {
               int ID = spiel.matrix[pfad.get(i)[0]][pfad.get(i)[1]];
               long operand = spiel.farbeVonID(ID); //==farbe 1,2,3,4,5,6
               
//NEU: dist ber\u00fccksichtigen
operand*=pfad.get(i)[2];
               
               //typ 9 ist Quelle, 0..8== .|..|...|-|--|---|+|++|+++ 
               //                         0  1  2  3  4  5  6  7  8
               //                         *  / gt  - =   %  +   
               int operator = 3*spiel.formVonID(ID) + spiel.anzahlVonID(ID);
               switch(operator)
               {
                   case 0:  // .
                      erg *= operand;
                   break;
                   case 1:  // ..
                      erg/=operand;
                   break;
                   case 2:  // ...  gemeinsame Teiler finden und durch ihre Gesamtprodukt teilen.
                      long teiler=1;
                      for(int p=2;p<=operand;p++)
                          if(operand%p==0 && erg%p==0)
                              teiler*=p;
                      erg/=teiler;        
                   break;
                   case 3:  // -
                      erg-=operand;
                      if(erg<0)
                         erg=0;
                   break;
                   case 4:  // --
                      if(erg==operand)
                          erg = operand;
                      else
                          erg = 0;
                   break;
                   case 5:  // --- Modulo
                      if(operand>0)
                          erg%=operand;
                      else
                          erg = erg;
                   break;
                   case 6:  // +
                      erg+=operand;
                   break;
                   case 7:  // ++ als UNGLEICH behandeln
                      if(erg!=operand)
                          erg = erg;
                      else
                          erg = 0;                   
                   break;
                   case 8:  // +++ , wie ..., aber multiplizieren statt dividieren
                      long faktor=1;
                      for(int p=2;p<=operand;p++)
                          if(operand%p==0 && erg%p==0)
                              faktor*=p;
                      erg*=faktor;        
                   break;
               }
               
               if(erg>0 && BASISZAHL%erg==0)
               {
             FREQ_WEISS = BASISZAHL/(erg*FAKTOR);
             if(FREQ_WEISS<FMIN)
                FREQ_WEISS=0;
             if(FREQ_WEISS>FMAX)
                FREQ_WEISS=0;
             if(FREQ_WEISS>0)
             {
                MIDI_WEISS = freq2mid((int)FREQ_WEISS);
                if(MIDI_WEISS>0 && WEISS)
                {
//                    msp.play(0+i%2,(int)MIDI_WEISS);  //2 M\u00f6gl. je nach Pos. in Kette
                    msp.play(0,(int)MIDI_WEISS);  //2 M\u00f6gl. je nach Pos. in Kette
                    spiel.setFlash(ID);
//                    msp.playMono(0,(int)MIDI_WEISS);
                }    
                else if(MIDI_WEISS>0 && !WEISS)
                {
//                    msp.play(2+i%2,(int)MIDI_WEISS);
//                    msp.play(2,(int)MIDI_WEISS);
                    msp.play(0,(int)MIDI_WEISS);
                    spiel.setFlash(ID);
//                    msp.play(1,(int)MIDI_WEISS);
//                    msp.playMono(1,(int)MIDI_WEISS);
                }    
             }  
                    
               }
            }
          }
          catch(Exception e)
          {
              println(e);
              return 0;
          }
          return erg;
     }
long ANZ=0; 
boolean FFF = true;
     public void run()
     {       
         if(FFF==true)
         {
              FFF = !FFF;
         }
         else
         {
              FFF = !FFF;
              spiel.noFlash();
              return;
         }
       
         if(t%PULSEPROZUG==0 && t>0)
         {
              if(spielfeld.WEISS_IST_DRAN != spielfeld.TIMER_WEISS_IST_DRAN)
              {
                  spielfeld.TIMER_WEISS_IST_DRAN = !spielfeld.TIMER_WEISS_IST_DRAN;
              }
              else
              {
                  if(spielfeld.WEISS_IST_DRAN && PUNKTE_WEISS>=STRAFPUNKTE)
                      PUNKTE_WEISS-=STRAFPUNKTE;
                  else if(spielfeld.WEISS_IST_DRAN && PUNKTE_WEISS<STRAFPUNKTE)
                      PUNKTE_WEISS=0;
                  else if(!spielfeld.WEISS_IST_DRAN && PUNKTE_SCHWARZ>=STRAFPUNKTE)
                      PUNKTE_SCHWARZ-=STRAFPUNKTE;
                  else if(!spielfeld.WEISS_IST_DRAN && PUNKTE_SCHWARZ<STRAFPUNKTE)
                      PUNKTE_SCHWARZ=0;
                  if(WARTUNG)    
                     println("Nach Strafpunkten: W:"+PUNKTE_WEISS+" S:"+PUNKTE_SCHWARZ);    
              }
         }
         //Werte aus Pfaden berechnen:
         if(weisserpfad!=null && weisserpfad.size()>1)
         {
             WERT_WEISS = berechneWertAusPfad(t,weisserpfad,true);
         }
         else
         {
             WERT_WEISS = 0;
         }
         if(schwarzerpfad!=null && schwarzerpfad.size()>1)
         {
             WERT_SCHWARZ = berechneWertAusPfad(t,schwarzerpfad,false);
         }
         else
         {
             WERT_SCHWARZ = 0;
         }
FFREQ=0;
         if(WERT_WEISS>0 && BASISZAHL%(WERT_WEISS*FAKTOR)==0)
         {
             FREQ_WEISS = BASISZAHL/(WERT_WEISS*FAKTOR);
             if(FREQ_WEISS<FMIN)
                FREQ_WEISS=0;
             if(FREQ_WEISS>FMAX)
                FREQ_WEISS=0;
             if(FREQ_WEISS>0)
             {
                MIDI_WEISS = freq2mid((int)FREQ_WEISS);
                FFREQ += FREQ_WEISS;
             }  
         }    
         else
         {
             FREQ_WEISS = 0;
         }
         
         if(WERT_SCHWARZ>0 && BASISZAHL%(WERT_SCHWARZ*FAKTOR)==0)
         {
             FREQ_SCHWARZ = BASISZAHL/(WERT_SCHWARZ*FAKTOR);
             if(FREQ_SCHWARZ<FMIN)
                FREQ_SCHWARZ=0;
             if(FREQ_SCHWARZ>FMAX)
                FREQ_SCHWARZ=0;
             if(FREQ_SCHWARZ>0)
             {
                MIDI_SCHWARZ = freq2mid((int)FREQ_SCHWARZ);
                FFREQ += FREQ_SCHWARZ;
             }  
                
         }    
         else
         {
             FREQ_WEISS = 0;
         }

//             if(MIDI_SCHWARZ>0)
//                msp.play(1,(int)MIDI_SCHWARZ);
//             if(MIDI_WEISS>0)
//                msp.play(0,(int)MIDI_WEISS);
//         if(FFREQ>0)
//         {
//              MMID =  freq2mid((int)FFREQ);
//              if(MMID>0)
//                 msp.play(0,(int)MMID);
//         }
         
         //print(WERT_WEISS+"|"+WERT_SCHWARZ+" ");
//         print(MIDI_WEISS+"|"+MIDI_SCHWARZ+" ");
       
         ANZ++;
         if(ANZ>=PULSEPROZUG)
         {
//              println("###");
              ANZ=0;
         }
       
         t++;
       
     }
}






//import javax.sound.sampled.*;
//import java.nio.ByteBuffer;









 

public class FastSoundplayer implements Runnable
{
     int MAXPOLY = 200; //Maximale Anzahl aktuell noch abzuarbeitender Samples
     float[][][] sample = new float[MAXPOLY][][]; 
     int[] index = new int[MAXPOLY];
     float[][] sampleMono = new float[MAXPOLY][]; 
     float[][] panMono = new float[MAXPOLY][2];  //wird mit \u00fcbernommen! 
     int[] indexMono = new int[MAXPOLY];
     //der play-Funktion wird ein Sample \u00fcbergeben und der korrespondierende Index wird auf Null gesetzt, alles, wenn noch
     //Platz im Array sample.
     //erreicht index die L\u00e4nge des samples wird dieses entfernt und damit der Platz f\u00fcr nachfolgende Samples frei gegeben.
     
     int sr = 44100;
     int buffsize = 512;
//TEST:     
//     int buffsize = 2048;
     int buffsize2 = buffsize*2;
     public float[] mikrofon_welle = new float[buffsize2];
     float dt = 1.0f/(float)sr;
     float dth = 0.5f*dt;
     protected ScheduledExecutorService schedExecService;  
     short[] puffer = new short[buffsize*2]; //4 Byte pro Sample == 16Bit Stereo  //2 * bei short
     float[] fpuffer = new float[buffsize*2]; //4 Byte pro Sample == 16Bit Stereo  //2 * bei short
     public float t=0.0f;
     
     private AudiotrackMic track;
     
     public void play(float[][] data)
     {
          for(int i=0;i<sample.length;i++)
          {
                if(sample[i]==null)
                {
                      sample[i]=data;
                      index[i]=0;
                      break;
                }
          }
     }

     public void playMono(float[] data)
     {
          for(int i=0;i<sampleMono.length;i++)
          {
                if(sampleMono[i]==null)
                {
                      sampleMono[i]=data;
                      indexMono[i]=0;
                      panMono[i][0] = 0.1f;  //s\u00e4ter wird von au\u00dfen die Richtung berechnet und mit \u00fcbergeben
                      panMono[i][1] = 0.1f;
                      break;
                }
          }
     }
     
     
     public FastSoundplayer()
     {
         
         track = new AudiotrackMic(sr,buffsize);
         schedExecService = Executors.newSingleThreadScheduledExecutor();
         long period = (buffsize*1000)/sr; //Seconds per Beat==60/BPM, die H\u00e4lfte weil 8tel, mal 1000 weil Millisekunden.
         schedExecService.scheduleAtFixedRate(this, 0, period, TimeUnit.MILLISECONDS);                
     }

     public void run()
     {
         runStereo();
//         runMono();
     }
     
     public void runStereo()
     {
         //Neues Vorgehen:
         for(int k=0;k<fpuffer.length;k++)
             fpuffer[k]=0.0f;
//STEREO:             
         for(int i=0;i<sample.length;i++)
         {
              float[][] data = sample[i]; //Threadsicher machen, indem Referenz erst einmal gemerkt / gesichert wird.
              if(data!=null)
              {
                  for(int k=0;k<puffer.length;k+=2)
                  {
                      if(index[i]>=data[0].length)
                      {
                          sample[i]=null;                          
                          break;
                      }    
                      fpuffer[k+0] += data[0][index[i]];
                      fpuffer[k+1] += data[1][index[i]];
                      index[i]++;
                  }
              }
         }
         for(int k=0;k<fpuffer.length;k++)
             puffer[k]=(short)(32767.0f*fpuffer[k]+0.5f);
                                       
         //audioTrack.write(puffer, 0,buffsize2);
         mikrofon_welle = track.write(puffer);
     }     
     
     public void runMono()
     {
         //Neues Vorgehen:
         for(int k=0;k<fpuffer.length;k++)
             fpuffer[k]=0.0f;
//MONO:             
         for(int i=0;i<sampleMono.length;i++)
         {
              float[] dataMono = sampleMono[i]; //Threadsicher machen, indem Referenz erst einmal gemerkt / gesichert wird.
              if(dataMono!=null)
              {
                  for(int k=0;k<puffer.length;k+=2)
                  {
                      if(indexMono[i]>=dataMono.length)
                      {
                          sampleMono[i]=null;                          
                          break;
                      }    
                      fpuffer[k+0] += dataMono[indexMono[i]] * panMono[i][0];
                      fpuffer[k+1] += dataMono[indexMono[i]] * panMono[i][1];
                      indexMono[i]++;
                  }
              }
         }
         for(int k=0;k<fpuffer.length;k++)
             puffer[k]=(short)(32767.0f*fpuffer[k]+0.5f);
                                       
         //audioTrack.write(puffer, 0,buffsize2);
         mikrofon_welle = track.write(puffer);
     }     
     
}

/**
 * Interface f\u00fcr Audiostream mit zus\u00e4tzlichem Mikrofonkanal
 */
public interface iAudiotrackMic
{
    public abstract float[] write(short[] puffer);
}

public class AudiotrackMic implements iAudiotrackMic
{
    // instance variables - replace the example below with your own
    private iAudiotrackMic track;
    public short[] shortpuffer;
    public float[] micpuffer;
    protected ScheduledExecutorService schedExecService;  
    
    public AudiotrackMic(int SAMPLING_RATE, int buffsize)
    {
          shortpuffer = new short[buffsize*2]; //2* weil Stereo
          micpuffer = new float[buffsize*2]; 
        
              //track = new AudiotrackMicPC(SAMPLING_RATE, buffsize);
              track = new AudiotrackAndroid(SAMPLING_RATE, buffsize);
              
    }

    public float[] write(short[] shortpuffer)
    {            
        return track.write(shortpuffer);
    }

 
}

public class AudiotrackAndroid implements iAudiotrackMic
{
    private int sr=44100; //Sample rate
    int BYTEPUFFERGROESSE;
    int SAMPLING_RATE;

    private AudioTrack audioTrack; //Connection to sound card
    
    //SourceDataLine line;
    //TargetDataLine targetLine;  //Mikrofon
    //DataLine.Info info;
    //DataLine.Info targetInfo;  //Mikrofon
    
    AudioFormat format;
        
     //AudioTrack audioTrack;
     //int sr = 11025;
     //Versuchen die Qualit\u00e4t zu verbessern:
    
     //int buffsize = 512;
     int buffsize;
     int buffsize2;
    
     byte[] bytepuffer;
     byte[] targetData;
     float[] targetWelle;
    public AudiotrackAndroid(int SAMPLING_RATE, int buffsize)
    {
        this.sr = SAMPLING_RATE;
        this.SAMPLING_RATE = SAMPLING_RATE;
        this.buffsize = buffsize;
        this.buffsize2 = buffsize*2;
        this.BYTEPUFFERGROESSE = buffsize*4;

        bytepuffer = new byte[BYTEPUFFERGROESSE];
        targetData = new byte[BYTEPUFFERGROESSE];
        targetWelle = new float[buffsize2];
        for(int i=0;i<bytepuffer.length;i++)
            bytepuffer[i]=0;
/*        
        this.format = new AudioFormat(AudioFormat.Encoding.PCM_SIGNED,(float)SAMPLING_RATE, 16, 2, 4, (float)SAMPLING_RATE, false);
        this.info = new DataLine.Info(SourceDataLine.class, format);
        this.targetInfo = new DataLine.Info(TargetDataLine.class, format);
        if (!AudioSystem.isLineSupported(info))
        {
         System.out.println("Line matching " + info + " is not supported.");
         //throw new LineUnavailableException();
        }
        //format = new AudioFormat(SAMPLERATE, 16, 2, true, true);
        try
        {
            this.targetLine = (TargetDataLine) AudioSystem.getLine(targetInfo);
            this.targetLine.open(format);
            this.targetLine.start();            
            
            this.line = (SourceDataLine)AudioSystem.getLine(info);
            this.line.open(format,BYTEPUFFERGROESSE);  
            this.line.start();
        }
*/
        try
        {                                                
            audioTrack = new AudioTrack(AudioManager.STREAM_MUSIC, sr, 
                                    AudioFormat.CHANNEL_OUT_STEREO, 
                                    AudioFormat.ENCODING_PCM_16BIT, 
                                    buffsize*10, 
                                    AudioTrack.MODE_STREAM);
            audioTrack.setStereoVolume(1.0f, 1.0f);
            
            audioTrack.play();            
        }
        catch(Exception ee)
        {
            System.out.println("FEHLER: "+ee);
        }              
        
    }

    public float[] write(short[] shortpuffer)
    {
      /*
        for (int i=0; i < buffsize; i++) 
        {
            bytepuffer[i*4+1] = (byte)(shortpuffer[i*2+0]>>8);
            bytepuffer[i*4+0] = (byte)(shortpuffer[i*2+0] & 0xFF); 
            bytepuffer[i*4+3] = (byte)(shortpuffer[i*2+1]>>8);
            bytepuffer[i*4+2] = (byte)(shortpuffer[i*2+1] & 0xFF); 
        }
       */ 
        //targetLine.read(targetData, 0, targetData.length);
        //line.write(bytepuffer, 0, BYTEPUFFERGROESSE);
        audioTrack.write(shortpuffer, 0,buffsize2);      
 
        /*
        for(int i=0;i<buffsize;i++) //Stereo!
        {
            //targetWelle[i*2+0] = (float)((targetData[i*4+0]<<8)+targetData[i*4+1])/32000.0f;
            //targetWelle[i*2+1] = (float)((targetData[i*4+2]<<8)+targetData[i*4+3])/32000.0f;
            targetWelle[i*2+0] = (float)((targetData[i*4+1]<<8)+targetData[i*4+0])/32000.0f;
            targetWelle[i*2+1] = (float)((targetData[i*4+3]<<8)+targetData[i*4+2])/32000.0f;
        }
        return targetWelle; //Mikrofondaten heraufreichen, um sie mit den anderen kan\u00e4len mischen zu k\u00f6nnen (ein paket verz\u00f6gert)
        */
        return null;
    }
}
public class Mysoundplayer extends FastSoundplayer
{
      Wav wav;
      int anzahl_kanaele;
      float[][][][] ton;// = new float[anzahl_kanaele][128][][]; //jeder Kanal hat 128 Pl\u00e4tze f\u00fcr 44100kHz stereo wav-Sound, belegt abh. von Skalen.

      float[][][] mono; //Stimme, Nr, Sample


      int[] skala;
      int[] skalamap;

      public Mysoundplayer(PApplet pap, int anzahl_kanaele)
      {
          this.anzahl_kanaele = anzahl_kanaele;
          wav = new Wav(pap);
          ton = new float[anzahl_kanaele][128][][]; //jeder Kanal hat 128 Pl\u00e4tze f\u00fcr 44100kHz stereo wav-Sound, belegt abh. von Skalen.          
      }
      
      public void ladeMonostimmen(int[] skala, String[] ordner, String prefix)
      {
            this.skala = skala;
            skalamap = new int[128];
            for(int i=0;i<skala.length;i++)
                skalamap[skala[i]] = i;  //um schnell aus Midi den Index zu gewinnen!
            mono = new float[ordner.length][skala.length][];
            for(int i=0;i<mono.length;i++)
            {
                 for(int k=0;k<mono[i].length;k++)
                 {
                       mono[i][k] = wav.ladeWavMix("data/"+ordner[i]+"/"+prefix+skala[k]+".wav");
                 }
            }
      }

      public void ladeMonostimmen(int[] skala, String[] ordner, float[] verst, String prefix)
      {
            this.skala = skala;
            skalamap = new int[128];
            for(int i=0;i<skala.length;i++)
                skalamap[skala[i]] = i;  //um schnell aus Midi den Index zu gewinnen!
            mono = new float[ordner.length][skala.length][];
            for(int i=0;i<mono.length;i++)
            {
                 for(int k=0;k<mono[i].length;k++)
                 {
                       mono[i][k] = wav.ladeWavMix("data/"+ordner[i]+"/"+prefix+skala[k]+".wav");
                 }
            }
            
            for(int i=0;i<mono.length;i++)
            {
                 for(int k=0;k<mono[i].length;k++)
                 {
                    for(int p=0;p<mono[i][k].length;p++)
                       mono[i][k][p] *= verst[i];
                 }
            }
            
      }
      
      
      public void ladeKanal(int kanal, String ordnerpfad, int[] midiskala, float laute, float pan)
      {
           float pan_left = cos(pan*HALF_PI);
           float pan_right = sin(pan*HALF_PI);
           for(int i=0;i<midiskala.length;i++)
           {
                 ton[kanal][midiskala[i]] = wav.ladeWavInterpolate(ordnerpfad,midiskala[i]);
                 for(int k=0;k<ton[kanal][midiskala[i]][0].length;k++)
                 {
                       ton[kanal][midiskala[i]][0][k]*=laute*pan_left;
                       ton[kanal][midiskala[i]][1][k]*=laute*pan_right;
                 }
           }
      }

      public void ladeKanalStereo(int kanal, String ordnerpfad, int[] midiskala, float laute, float pan)
      {
           float pan_left = cos(pan*HALF_PI);
           float pan_right = sin(pan*HALF_PI);
           for(int i=0;i<midiskala.length;i++)
           {
//                 ton[kanal][midiskala[i]] = wav.ladeWav(ordnerpfad+"/ton"+midiskala[i]+".wav");
//ANDROID:
                 ton[kanal][midiskala[i]] = wav.ladeWav(ordnerpfad+"_ton"+midiskala[i]+".wav");
                 for(int k=0;k<ton[kanal][midiskala[i]][0].length;k++)
                 {
                       ton[kanal][midiskala[i]][0][k]*=laute*pan_left;
                       ton[kanal][midiskala[i]][1][k]*=laute*pan_right;
                 }
           }
      }
      
      public void saveKanal(int kanal, String pfad, int[] midiskala)
      {
            for(int i=0;i<midiskala.length;i++)
            {
                 wav.saveWav(pfad+"/ton"+midiskala[i]+".wav",ton[kanal][midiskala[i]]);
            }
      }
      
      public void play(int kanal, int midihoehe)
      {
            play(ton[kanal][midihoehe]);
      }

      public void playMono(int kanal, int midihoehe)
      {
            playMono(mono[kanal][skalamap[midihoehe]]);
      }
      
}


public interface iWav
{
    public abstract void saveWav(String name, float[][] data);  
    //float-Array wieder zur\u00fcck in ein byte-Array umwandeln (Vorbereitung speichern eines Stereokanals)
    public abstract byte[] toByte(float[][] data);
    //L\u00e4dt eine Stereo-Wav-Datei in zwei getrennten float-Arrays, Wertebereich [-1,+1]:
    public abstract float[][] ladeWav(String name);
    public abstract float[][] ladeWav(String name, int sampleanzahl);
    //L\u00e4dt eine Stereo-Wav-Datei, die dann zu einem Kanal gemischt wird und als float-Array zur\u00fcck gegeben wird.
    //Gleich nur Mix aus linkem und rechtem Kanal laden (aus 44100 2x16Bit extrahieren)
    public abstract float[] ladeWavMix(String name); 
    /**
     * L\u00e4dt eine Stereo-Datei, mixt sie zu Mono und baut sie zu einer loop-baren Variante
     * zusammen:<br/>
     * [AB] a=A ausblenden, b=B einblenden<br/>
     * ab + ba<br/>
     */
    public abstract float[] ladeWavMixLoop(String name); //Gleich nur Mix aus linkem und rechtem Kanal laden (aus 44100 2x16Bit extrahieren)
    //Gleich nur Mix aus linkem und rechtem Kanal laden (aus 44100 2x16Bit extrahieren)    
    public abstract float[] ladeWavMix(String name, int sampleanzahl);
    //Gleich nur Mix aus linkem und rechtem Kanal laden (aus 44100 2x16Bit extrahieren)    
    public abstract float[] ladeWavMixLoop(String name, int sampleanzahl); 
    /**
    *  L\u00e4dt wav-Files, die als 16-Bit Mono-Files vorliegen
    */
    public abstract float[] ladeWavMono(String name); 
    /**
     * Shows wav-data as Java-short-Array
     */
    public abstract void showAsShortArray(float[] wav);    
}
public class Wav implements iWav
{
    private PApplet pap;
  
    public Wav(PApplet pap)
    {
        this.pap = pap;
    }



    public void saveWav(String name, float[][] data)
    {
          double gross = 0.5f*(255.0f*256.0f + 255.0f);
          double gesamt_links,gesamt_rechts;
          byte[] dat = new byte[44+data[0].length*4];
          for(int i=0;i<data[0].length;i++)
          {
               float links = data[0][i];
               float rechts = data[1][i];
               
               gesamt_links = Math.round(  (links+gross)*gross  );
               gesamt_rechts = Math.round(  (rechts+gross)*gross  );
               

               int lo_links = (int)gesamt_links%256;
               int lo_rechts = (int)gesamt_rechts%256;
               int hi_links = (int)gesamt_links/256;
               int hi_rechts = (int)gesamt_rechts/256;

               hi_links-=128;
               hi_rechts-=128;
               
               byte left_lo = (byte)lo_links;
               byte left_hi = (byte)hi_links;
               byte right_lo = (byte)lo_rechts;
               byte right_hi = (byte)hi_rechts;
               
               dat[44+i*4+0] = left_lo;               
               dat[44+i*4+1] = left_hi;               
               dat[44+i*4+2] = right_lo;               
               dat[44+i*4+3] = right_hi;               
          }
          
          //Kopf f\u00fcr wav-Datei passend erzeugen:
          int[] kopf = {  82,   73,   70,   70,   52,  177,    2,    0,   87,   65, 
                                86,   69,  102,  109,  116,   32,   16,    0,    0,    0, 
                                 1,    0,    2,    0,   68,  172,    0,    0,   16,  177, 
                                 2,    0,    4,    0,   16,    0,  100,   97,  116,   97, 
                                16,  177,    2,    0  };
          int[] zahl1 = {0,0,0,0};
          int[] zahl2 = {0,0,0,0};

          int  z1 = data[0].length*4+36;
          int  z2 = data[0].length*4;
          //KOPF bilden
          for(int i=0;i<4;i++)
          {  
              zahl1[i] = z1%256;
              z1/=256;
              kopf[4+i] = zahl1[i];
          }
          for(int i=0;i<4;i++)
          {
              zahl2[i] = z2%256;
              z2/=256;
              kopf[40+i] = zahl2[i];
          }
          
          for(int i=0;i<kopf.length;i++)
//              dat[i] = (byte)(kopf[i]-128);
              dat[i] = (byte)(kopf[i]);
              
          pap.saveBytes(name,dat);    
    }

    public byte[] toByte(float[][] data)
    {
          double gross = 0.5f*(255.0f*256.0f + 255.0f);
          double gesamt_links,gesamt_rechts;
          byte[] dat = new byte[data[0].length*4];
          for(int i=0;i<data[0].length;i++)
          {
               float links = data[0][i];
               float rechts = data[1][i];
               
               gesamt_links = Math.round(  (links+gross)*gross  );
               gesamt_rechts = Math.round(  (rechts+gross)*gross  );
               

               int lo_links = (int)gesamt_links%256;
               int lo_rechts = (int)gesamt_rechts%256;
               int hi_links = (int)gesamt_links/256;
               int hi_rechts = (int)gesamt_rechts/256;

               hi_links-=128;
               hi_rechts-=128;
               
               byte left_lo = (byte)lo_links;
               byte left_hi = (byte)hi_links;
               byte right_lo = (byte)lo_rechts;
               byte right_hi = (byte)hi_rechts;
               
               dat[i*4+0] = left_lo;               
               dat[i*4+1] = left_hi;               
               dat[i*4+2] = right_lo;               
               dat[i*4+3] = right_hi;               
          }
          
          return dat;
    }

    /**
     * L\u00e4dt eine Stereo-Wav-Datei in zwei getrennten float-Arrays, Wertebereich [-1,+1]
     */
    public float[][] ladeWav(String name)
    {
            int zl,zh,lo,gesamt;
            float gross = 0.5f*(255.0f*256.0f + 255.0f);
          
            byte[] dat = pap.loadBytes(name);

            int anz = dat.length;
          
            float[][] y = new float[2][(anz-44)/4];                        
            //float[][] y = new float[2][sampleanzahl];                        

            int inx=44;
            
            for(int i=0;i<y[0].length;i++)
            {
                 zl = dat[inx++];
                 zh = dat[inx++];
                 if(zl>127)
                     zl-=256;
            
                 if(zh>127)
                     zh-=256;

                 lo     =  zl;
                 if(lo<0)
                     lo+=256;
                 gesamt = (zh+128)*256;                
                 gesamt+=lo;
                
                 y[0][i] = ((float)gesamt - gross)/gross;        

                 zl = dat[inx++];
                 zh = dat[inx++];
                 if(zl>127)
                     zl-=256;
            
                 if(zh>127)
                     zh-=256;

                 lo     =  zl;
                 if(lo<0)
                     lo+=256;
                 gesamt = (zh+128)*256;
                
                 gesamt+=lo;
                
                 y[1][i] = ((float)gesamt - gross)/gross;        
                 
            }    
            
            return y;
    }
  
    /**
    *   Pr\u00fcft, ob pfad+"/ton"+midi+".wav" im Original existiert, sucht andernfalls nach Nachbarn und interpoliert diese.    
    */
    int[] tests = {-1,1,-2,2,-3,3,-4,4,-5,5,-6,6,-7,7,-8,8,-9,9,-10,10,-11,11,-12,12};
    public float[][] ladeWavInterpolate(String pfad,int midi)
    {
        String name = pfad+"/ton"+midi+".wav";
        if(  (new File(name)).exists()  )
        {
             return ladeWav(name);    
        }
        else
        {
             for(int i=0;i<tests.length;i++)
             {
                 name = pfad+"/ton"+(midi+tests[i])+".wav";
                 if(  (new File(name)).exists()  )
                 {
                     float[][] data =  ladeWav(name);
                     
                     double ineu = Math.pow(2.0f,(1.0f/12.0f)*(double)(-tests[i]));
                     
                     float[][] data_neu = new float[2][(int)Math.round((double)data[0].length/ineu)+1];
                     
                     for(int k=0;k<data_neu[0].length;k++)
                     {
                           double inx = ineu*(double)k;
                           double inx1 = Math.floor(inx);
                           double inx2 = Math.ceil(inx);
                           int iinx1 = (int)inx1;
                           int iinx2 = (int)inx2;
                           
                           if(iinx1==iinx2 && iinx1>=0 && iinx1<data[0].length)
                           {
                                data_neu[0][k] = data[0][iinx1];
                                data_neu[1][k] = data[1][iinx1];
                           }
                           else if(iinx1!=iinx2 && iinx1>=0 && iinx1<data[0].length && iinx2>=0 && iinx2<data[0].length)
                           {
                                double anteil2 = inx - inx1;  
                                double anteil1 = 1.0f - anteil2;  
                                data_neu[0][k] = (float)anteil1*data[0][iinx1] + (float)anteil2*data[0][iinx2];
                                data_neu[1][k] = (float)anteil1*data[1][iinx1] + (float)anteil2*data[1][iinx2];
                           }
                           
                     }
                     
                     return data_neu;
                 }
             }
        }
        
        return null;
    }  
    
    /**
     * L\u00e4dt eine Stereo-Wav-Datei in zwei getrennten float-Arrays, Wertebereich [-1,+1]
     */
    public float[][] ladeWav(String name, int sampleanzahl)
    {
            int zl,zh,lo,gesamt;
            float gross = 0.5f*(255.0f*256.0f + 255.0f);
          
            byte[] dat = pap.loadBytes(name);

            int anz = dat.length;
          
            //double[][] y = new double[2][(anz-44)/4];                        
            float[][] y = new float[2][sampleanzahl];                        

            int inx=44;
            
            for(int i=0;i<y[0].length;i++)
            {
                 zl = dat[inx++];
                 zh = dat[inx++];
                 if(zl>127)
                     zl-=256;
            
                 if(zh>127)
                     zh-=256;

                 lo     =  zl;
                 if(lo<0)
                     lo+=256;
                 gesamt = (zh+128)*256;
                
                 gesamt+=lo;
                
                 y[0][i] = ((float)gesamt - gross)/gross;        

                 zl = dat[inx++];
                 zh = dat[inx++];
                 if(zl>127)
                     zl-=256;
            
                 if(zh>127)
                     zh-=256;

                 lo     =  zl;
                 if(lo<0)
                     lo+=256;
                 gesamt = (zh+128)*256;
                
                 gesamt+=lo;
                
                 y[1][i] = ((float)gesamt - gross)/gross;        
                 
            }    
            
            return y;
    }

    /**
     * L\u00e4dt eine Stereo-Wav-Datei, die dann zu einem Kanal gemischt wird und als float-Array zur\u00fcck gegeben wird.
     */
    public float[] ladeWavMix(String name) //Gleich nur Mix aus linkem und rechtem Kanal laden (aus 44100 2x16Bit extrahieren)
    {
            int zl,zh,lo,gesamt;
            float gross = 0.5f*(255.0f*256.0f + 255.0f);
          
            byte[] dat = pap.loadBytes(name);

            int anz = dat.length;
          
            //double[][] y = new double[2][(anz-44)/4];                        
            //float[] y = new float[sampleanzahl];                        
            float[] y = new float[(anz-44)/4];                        

            int inx=44;
            
            for(int i=0;i<y.length;i++)
            {
                 zl = dat[inx++];
                 zh = dat[inx++];
                 if(zl>127)
                     zl-=256;
            
                 if(zh>127)
                     zh-=256;

                 lo     =  zl;
                 if(lo<0)
                     lo+=256;
                 gesamt = (zh+128)*256;
                
                 gesamt+=lo;
                
                 //y[0][i] = ((float)gesamt - gross)/gross;        
                 y[i] = 0.5f*((float)gesamt - gross)/gross;        

                 zl = dat[inx++];
                 zh = dat[inx++];
                 if(zl>127)
                     zl-=256;
            
                 if(zh>127)
                     zh-=256;

                 lo     =  zl;
                 if(lo<0)
                     lo+=256;
                 gesamt = (zh+128)*256;
                
                 gesamt+=lo;
                
                 //y[1][i] = ((float)gesamt - gross)/gross;        
                 y[i] += 0.5f*((float)gesamt - gross)/gross;        
                 
            }    
            
            return y;    
    }
    
    /**
     * L\u00e4dt eine Stereo-Datei, mixt sie zu Mono und baut sie zu einer loop-baren Variante
     * zusammen:<br/>
     * [AB] a=A ausblenden, b=B einblenden<br/>
     * ab + ba<br/>
     */
    public float[] ladeWavMixLoop(String name) //Gleich nur Mix aus linkem und rechtem Kanal laden (aus 44100 2x16Bit extrahieren)
    {
          float[] AB = ladeWavMix(name);   
          for(int i=0;i<AB.length/2;i++)
          {
              AB[i] = AB[i]*(1.0f - (float)i/(float)(AB.length/2)-1);
              int ii = AB.length-1-i;
              AB[ii] = AB[ii]*(1.0f - (float)i/(float)(AB.length/2)-1);
          }   
          
          for(int i=0;i<AB.length/2;i++)
          {
              int ii = AB.length/2+i;
              float a = AB[i];
              float b = AB[ii];
              AB[i] = a+b;
              AB[ii] = a+b;
          }   
          return AB;
    }

    public float[] ladeWavMix(String name, int sampleanzahl) //Gleich nur Mix aus linkem und rechtem Kanal laden (aus 44100 2x16Bit extrahieren)
    {
         float[][] stereo = ladeWav(name,sampleanzahl);
         for(int i=0;i<stereo[0].length;i++)
             stereo[0][i] = 0.5f*(stereo[0][i]+stereo[1][i]);
         return stereo[0];    
    }
    
    public float[] ladeWavMixLoop(String name, int sampleanzahl) //Gleich nur Mix aus linkem und rechtem Kanal laden (aus 44100 2x16Bit extrahieren)
    {
         float[][] stereo = ladeWav(name,sampleanzahl);
         for(int i=0;i<stereo[0].length;i++)
             stereo[0][i] = 0.5f*(stereo[0][i]+stereo[1][i]);
         float[] AB = stereo[0];   
         for(int i=0;i<AB.length/2;i++)
         {
              AB[i] = AB[i]*(1.0f - (float)i/(float)(AB.length/2)-1);
              int ii = AB.length-1-i;
              AB[ii] = AB[ii]*(1.0f - (float)i/(float)(AB.length/2)-1);
         }   
          
         for(int i=0;i<AB.length/2;i++)
         {
              int ii = AB.length/2+i;
              float a = AB[i];
              float b = AB[ii];
              AB[i] = a+b;
              AB[ii] = a+b;
         }   
         return AB;
         
    }
    
    /**
    *  L\u00e4dt wav-Files, die als 16-Bit Mono-Files vorliegen
    */
    public float[] ladeWavMono(String name) 
    {
            int zl,zh,lo,gesamt;
            float gross = 0.5f*(255.0f*256.0f + 255.0f);
          
            byte[] dat = pap.loadBytes(name);

            int anz = dat.length;
          
            //double[][] y = new double[2][(anz-44)/4];                        
            //float[] y = new float[sampleanzahl];                        
            //float[] y = new float[(anz-44)/4];                        
            float[] y = new float[(anz-44)/2];                        

            int inx=44;
            
            for(int i=0;i<y.length;i++)
            {
                 zl = dat[inx++];
                 zh = dat[inx++];
                 if(zl>127)
                     zl-=256;
            
                 if(zh>127)
                     zh-=256;

                 lo     =  zl;
                 if(lo<0)
                     lo+=256;
                 gesamt = (zh+128)*256;
                
                 gesamt+=lo;
                
                 //y[0][i] = ((float)gesamt - gross)/gross;        
                 y[i] = ((float)gesamt - gross)/gross;                         
            }    
            
            return y;
    }
    
    /**
     * Shows wav-data as Java-short-Array
     */
    public void showAsShortArray(float[] wav)
    {
         PApplet.println();
         PApplet.println("private short[] data = {");
         for(int i=0;i<wav.length;i++)
         {
              if(i<wav.length-1)
                 PApplet.print((int)PApplet.round((wav[i]*32000.0f))+",");
              else   
                 PApplet.print((int)PApplet.round((wav[i]*32000.0f)));
                 
              if(i%200==0 && i>0)   
                  PApplet.println();
         }
         PApplet.println();
         PApplet.println("};");
         
    }
    
    public void ueberlappendVerketten(String quelle1, String quelle2, String ziel, int samples_ueberlappung)
    {
         float[][] q1 = ladeWav(quelle1);
         float[][] q2 = ladeWav(quelle2);
         
         float[][] z = new float[2][q1[0].length+q2[0].length-samples_ueberlappung];
         
         for(int i=0;i<q1[0].length;i++)
         {
              z[0][i] = q1[0][i];
              z[1][i] = q1[1][i];
         }
         for(int i=0;i<q2[0].length;i++)
         {
              z[0][i+q1[0].length-samples_ueberlappung] += q2[0][i];
              z[1][i+q1[1].length-samples_ueberlappung] += q2[1][i];
         }
         
         saveWav(ziel,z);         
    }
    
}
  public void settings() {  fullScreen(); }
}
